Package org.apache.sling.distribution.serialization.impl.vlt

## Class VltUtils

- java.lang.Object
- - org.apache.sling.distribution.serialization.impl.vlt.VltUtils

    public class VltUtils
    extends Object

Utility class for creating vlt filters and import/export options

### Constructor Summary

Constructors
`VltUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `appendMatchAll​(String path)`
`static org.apache.jackrabbit.vault.fs.api.WorkspaceFilter` `createFilter​(org.apache.sling.distribution.DistributionRequest distributionRequest, NavigableMap<String,​List<String>> nodeFilters, NavigableMap<String,​List<String>> propertyFilters)`
`static org.apache.jackrabbit.vault.packaging.VaultPackage` `createPackage​(org.apache.jackrabbit.vault.packaging.PackageManager packageManager, javax.jcr.Session session, org.apache.jackrabbit.vault.packaging.ExportOptions options, File tempFolder)`
`static void` `deletePackage​(org.apache.jackrabbit.vault.packaging.JcrPackage jcrPackage)`
`static void` `deletePackage​(org.apache.jackrabbit.vault.packaging.VaultPackage vaultPackage)`
`static String` `findParent​(String path, String nodeName)`
`static org.apache.jackrabbit.vault.packaging.ExportOptions` `getExportOptions​(org.apache.jackrabbit.vault.fs.api.WorkspaceFilter filter, String[] packageRoots, String packageGroup, String packageName, String packageVersion, boolean useBinaryReferences, Map<String,​String> exportPathMapping)`
`static org.apache.jackrabbit.vault.fs.io.ImportOptions` `getImportOptions​(ImportSettings importSettings)`
`static String[]` `getPaths​(org.apache.jackrabbit.vault.fs.config.MetaInf metaInf)`
`static File` `getTempFolder​(String tempFolderPath)`
`static boolean` `isSupported​(org.apache.sling.distribution.DistributionRequest request)`
`static TreeMap<String,​List<String>>` `parseFilters​(String[] filters)`
`static org.apache.jackrabbit.vault.packaging.VaultPackage` `readPackage​(org.apache.jackrabbit.vault.packaging.PackageManager packageManager, InputStream stream, File tempFolder)`
`static org.apache.sling.distribution.DistributionRequest` `sanitizeRequest​(org.apache.sling.distribution.DistributionRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VltUtils

    public VltUtils()

### Method Detail

#### createFilter

    public static org.apache.jackrabbit.vault.fs.api.WorkspaceFilter createFilter​(org.apache.sling.distribution.DistributionRequest distributionRequest,
                                                                                  NavigableMap<String,​List<String>> nodeFilters,
                                                                                  NavigableMap<String,​List<String>> propertyFilters)
                                                                           throws org.apache.jackrabbit.vault.fs.config.ConfigurationException

Throws:
  `org.apache.jackrabbit.vault.fs.config.ConfigurationException`

#### getPaths

    public static String[] getPaths​(org.apache.jackrabbit.vault.fs.config.MetaInf metaInf)

#### getExportOptions

    public static org.apache.jackrabbit.vault.packaging.ExportOptions getExportOptions​(org.apache.jackrabbit.vault.fs.api.WorkspaceFilter filter,
                                                                                       String[] packageRoots,
                                                                                       String packageGroup,
                                                                                       String packageName,
                                                                                       String packageVersion,
                                                                                       boolean useBinaryReferences,
                                                                                       Map<String,​String> exportPathMapping)

#### getImportOptions

    public static org.apache.jackrabbit.vault.fs.io.ImportOptions getImportOptions​(ImportSettings importSettings)

#### createPackage

    public static org.apache.jackrabbit.vault.packaging.VaultPackage createPackage​(org.apache.jackrabbit.vault.packaging.PackageManager packageManager,
                                                                                   javax.jcr.Session session,
                                                                                   org.apache.jackrabbit.vault.packaging.ExportOptions options,
                                                                                   File tempFolder)
                                                                            throws IOException,
                                                                                   javax.jcr.RepositoryException

Throws:
  `IOException`
  `javax.jcr.RepositoryException`

#### readPackage

    public static org.apache.jackrabbit.vault.packaging.VaultPackage readPackage​(org.apache.jackrabbit.vault.packaging.PackageManager packageManager,
                                                                                 InputStream stream,
                                                                                 File tempFolder)
                                                                          throws IOException

Throws:
  `IOException`

#### deletePackage

    public static void deletePackage​(org.apache.jackrabbit.vault.packaging.VaultPackage vaultPackage)

#### deletePackage

    public static void deletePackage​(org.apache.jackrabbit.vault.packaging.JcrPackage jcrPackage)

#### getTempFolder

    public static File getTempFolder​(String tempFolderPath)

#### findParent

    public static String findParent​(String path,
                                    String nodeName)

#### appendMatchAll

    public static String appendMatchAll​(String path)

#### parseFilters

    public static TreeMap<String,​List<String>> parseFilters​(String[] filters)

#### isSupported

    public static boolean isSupported​(org.apache.sling.distribution.DistributionRequest request)

#### sanitizeRequest

    public static org.apache.sling.distribution.DistributionRequest sanitizeRequest​(org.apache.sling.distribution.DistributionRequest request)